GNU bug report logs - #36894
Restore frameset focus and selectedness

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juri Linkov <juri@HIDDEN>; Keywords: patch fixed; Done: Juri Linkov <juri@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.0.50, send any further explanations to 36894 <at> debbugs.gnu.org and Juri Linkov <juri@HIDDEN> Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 17 Aug 2019 22:41:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 17 18:41:41 2019
Received: from localhost ([127.0.0.1]:57070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hz7OH-0001uU-39
	for submit <at> debbugs.gnu.org; Sat, 17 Aug 2019 18:41:41 -0400
Received: from bumble.birch.relay.mailchannels.net ([23.83.209.25]:9295)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1hz7OF-0001uJ-M9; Sat, 17 Aug 2019 18:41:40 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 4DD6B141D02;
 Sat, 17 Aug 2019 22:41:38 +0000 (UTC)
Received: from pdx1-sub0-mail-a21.g.dreamhost.com
 (100-96-35-20.trex.outbound.svc.cluster.local [100.96.35.20])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id C41F6141D83;
 Sat, 17 Aug 2019 22:41:37 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a21.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Sat, 17 Aug 2019 22:41:38 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Exultant-Army: 1d7c391a79629688_1566081698074_797540714
X-MC-Loop-Signature: 1566081698074:221051140
X-MC-Ingress-Time: 1566081698074
Received: from pdx1-sub0-mail-a21.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a21.g.dreamhost.com (Postfix) with ESMTP id 2768083702;
 Sat, 17 Aug 2019 15:41:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=NLt7eaqGhYEH8G8DJWelIcnakhs=; b=
 Zs+wEpvg269s31/q7s11ld0GrdKlKaQ5qITHwPxIu7xOzgyFKkGeB+ecJk+mW8RG
 1h0EmaCcgeQVXVyCzTe7Yn8OFFEwrNArrf/NQ0xuyB8AzV4065OtonIECzqVGR4+
 f1oRqBHaeVqo61aeu9QXlwBA3O9VuFWoygKqbd3qBlI=
Received: from mail.jurta.org (m91-129-109-163.cust.tele2.ee [91.129.109.163])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a21.g.dreamhost.com (Postfix) with ESMTPSA id 8423E836F5;
 Sat, 17 Aug 2019 15:41:33 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a21
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36894: Restore frameset focus and selectedness
Organization: LINKOV.NET
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
 <8336i6tolz.fsf@HIDDEN> <87y2zw3gb8.fsf@HIDDEN>
 <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN> <8336i3su1b.fsf@HIDDEN>
 <e70a90a3-4df5-716f-d484-d69b224e6f01@HIDDEN> <83imqwntr9.fsf@HIDDEN>
 <81949dea-3196-45cb-f0a3-8ee3ced52e7f@HIDDEN> <83ef1knlqt.fsf@HIDDEN>
Date: Sun, 18 Aug 2019 01:40:56 +0300
In-Reply-To: <83ef1knlqt.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 17 Aug
 2019 13:12:58 +0300")
Message-ID: <87d0h3h0uf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddrudefiedgudefucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdelrdduieefnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtledrudeifedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegvlhhiiiesghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36894
Cc: martin rudalics <rudalics@HIDDEN>, 36894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 36894 + fixed
close 36894 27.0.50
quit

>>  > Juri suggested a patch.  Are you okay with it,
>>
>> Okay with it.  It should not make things worse.
>
> Thanks.  Juri, please go ahead and push.

Done.  Hope it makes things better in more cases than worse.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 17 Aug 2019 10:13:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 17 06:13:08 2019
Received: from localhost ([127.0.0.1]:55347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyvhs-0003AS-9J
	for submit <at> debbugs.gnu.org; Sat, 17 Aug 2019 06:13:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45107)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hyvhq-0003A2-QC
 for 36894 <at> debbugs.gnu.org; Sat, 17 Aug 2019 06:13:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38998)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hyvhl-0000lO-7p; Sat, 17 Aug 2019 06:13:01 -0400
Received: from [176.228.60.248] (port=3095 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hyvhk-00050d-OA; Sat, 17 Aug 2019 06:13:01 -0400
Date: Sat, 17 Aug 2019 13:12:58 +0300
Message-Id: <83ef1knlqt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <81949dea-3196-45cb-f0a3-8ee3ced52e7f@HIDDEN> (message from
 martin rudalics on Sat, 17 Aug 2019 10:24:52 +0200)
Subject: Re: bug#36894: Restore frameset focus and selectedness
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
 <8336i6tolz.fsf@HIDDEN> <87y2zw3gb8.fsf@HIDDEN>
 <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN> <8336i3su1b.fsf@HIDDEN>
 <e70a90a3-4df5-716f-d484-d69b224e6f01@HIDDEN> <83imqwntr9.fsf@HIDDEN>
 <81949dea-3196-45cb-f0a3-8ee3ced52e7f@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: juri@HIDDEN, 36894 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Sat, 17 Aug 2019 10:24:52 +0200
> 
>  > Juri suggested a patch.  Are you okay with it,
> 
> Okay with it.  It should not make things worse.

Thanks.  Juri, please go ahead and push.

>  > or are you saying that
>  > it will still fail in some situations?
> 
> Focus related problems are generally unpredictable.  Each window
> manager under GNU/Linux and each Windows version introduces its own
> ones.  Just for example, here on Windows 10 it's so far completely
> incomprehensible for me to tell whether a window A hidden by a window
> B will get focus when B is deleted.

I guess you are saying that even after this fix thisissue will never
be solved 100%.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 17 Aug 2019 08:25:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 17 04:25:12 2019
Received: from localhost ([127.0.0.1]:55321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyu1Q-0000W9-42
	for submit <at> debbugs.gnu.org; Sat, 17 Aug 2019 04:25:12 -0400
Received: from mout.gmx.net ([212.227.17.22]:55929)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1hyu1O-0000Vt-BJ
 for 36894 <at> debbugs.gnu.org; Sat, 17 Aug 2019 04:25:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1566030295;
 bh=G5vVMYawbYVRKZZfKP1GJD4QVZ1yXX+G/TGu/alUgIs=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=a2a5T7p8Hd6HTL1SLv2Piw6gmAwgYj2JQAxWQfrvhTOTuVKCtjDrmt9TkmyNGM1QQ
 nAH27PotsWHDS/NIpSSV7rL9H4x+qVA974EaL38p0Oe/hy55IZ7OGItn2hhQPQ1TRR
 xlgZ8De1pKLIjHrynOmN/euXmhXb7ikPxC1E8Gf4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([213.142.96.229]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MwQXN-1iF3n13Y9d-00sQJC; Sat, 17
 Aug 2019 10:24:54 +0200
Subject: Re: bug#36894: Restore frameset focus and selectedness
To: Eli Zaretskii <eliz@HIDDEN>
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
 <8336i6tolz.fsf@HIDDEN> <87y2zw3gb8.fsf@HIDDEN>
 <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN> <8336i3su1b.fsf@HIDDEN>
 <e70a90a3-4df5-716f-d484-d69b224e6f01@HIDDEN> <83imqwntr9.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <81949dea-3196-45cb-f0a3-8ee3ced52e7f@HIDDEN>
Date: Sat, 17 Aug 2019 10:24:52 +0200
MIME-Version: 1.0
In-Reply-To: <83imqwntr9.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-DE
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:Oc0dtW1sX4udswnMkJG/ENyhuL9f9kSEWymWK4UR57Y3uhYuimz
 HBP/EOs71DTOY26XzzmIIw/n7nhGnEQaIfbV5GVnAADJ2PmmtZTP3r1Iq0efvH4xa9TARrt
 Qb09EBMTUcwk58KkP6ucq/XRoO3z4vwXlP6vqJp3hb3ThekcVmSy4STwKH4xUxHNHGMwSLx
 g/IKK7GkhEE0WGV5RN0YQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:LxP3GhX9JPI=:+EI4w2tbrAYc/TfAzB1SwO
 l/6IL53+TQlQK2qlOuqrMZZS+p8M34aLLjR/8ilNDHF+2Ja17VAr5L68jJG1dj4+BT3aMV30P
 anuBU2Zi/H8x0uWZsJ//pYbXp5pgl5cMRNdV1kgLnurpquzd0KM1PrJ8hyiBJpt+xDAW97ZeU
 ebPOWXW0vKtUTFqZt7sVcwnFt8X73C93JTSsWBL5ltKytLMeoLWLdRazylQjfriHdxSm73AjC
 4oydjJncUV844Wx5SXZ/m/6MC/r6kwJvgsW2lAGpyAGyuzVNo/88QacjyCD18yudfuztrkwe2
 /rkmonRjIcvZE4dexARbSEZ/TnHs/siM96ZpGpVf7lOJ2vF1mMZB74nWs/UXYYmP0VBB2Pn0n
 BsWaLanRQLPssb9/5r9bgz4FLarvUmo29pnWXtHPVbx11ybwH+A4mZif1VCD/qDyF33d5ZK1N
 4w4/yy3NXLnHDOW7GXBE4zbezgTTApVPY37gGu5rM637rhCnyrU+CkUb+QgiqbsuRYnj2R/z2
 1AvgU6HDGobCX44b2tETXrekDZX9qVZBEXpW7W+I0VXaxdxG9GDIAh6DXwbyUzyaKB6ZZuJ+U
 9oIhSqLrhAAcPMl+Rhflv4m/pByE7nd0ycATDlzxC75XJn0gxKsQ5vtwM8c/7c4F7yTLbcslI
 M9ZC3aqitvEtZPmrjWhmDzN6ObOH6EP7jIjrBeUKNm6horfkXhS2zE2Qn3iQJw4WocAO5QXx1
 EnQez6XnYiea+U/qWsNOlPRzwGzFOUpyteHjutDcdTnapZYI9KZMQRUKnoCqoObttUPD665zw
 xzSjbvAxosklwkDvUDh3Q2o58SyQE3CFEJt/bNdxreymqXMZ1+ccsgw9kJryDGq2paEJAXIHx
 Aj2nG6nhSTZgymz1PjMFyuO0LmxgtmKhPjnnexc3kJPlF5HSx6SubZEOaUMR4D0HuY80/lE6L
 SWwlUvTM6on/5Fxq2200nfkTalAWObFJrhdWiOF89N4d4nPkvaAq6f22QHlyRbX7yzn98shaC
 oluhZPD0PHRKztYIUaW1FU1AaCF5hnvAYmNxYtK/vihoufwDLxGteJq1WlEgv5iBANsxZBJf0
 GGCvDanx/bYdEO8K5KMvKCAK9PgLJpKOtOu6+PLWrdxFTxoGAjP5ZP7fCSHiet4rvBtoQMNuR
 C4CmY=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Juri suggested a patch.  Are you okay with it,

Okay with it.  It should not make things worse.

 > or are you saying that
 > it will still fail in some situations?

Focus related problems are generally unpredictable.  Each window
manager under GNU/Linux and each Windows version introduces its own
ones.  Just for example, here on Windows 10 it's so far completely
incomprehensible for me to tell whether a window A hidden by a window
B will get focus when B is deleted.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 17 Aug 2019 07:20:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 17 03:20:05 2019
Received: from localhost ([127.0.0.1]:55307 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyt0P-0007Rh-Dz
	for submit <at> debbugs.gnu.org; Sat, 17 Aug 2019 03:20:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hyt0O-0007R8-9W
 for 36894 <at> debbugs.gnu.org; Sat, 17 Aug 2019 03:20:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37636)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hyt0I-0007AP-Op; Sat, 17 Aug 2019 03:19:58 -0400
Received: from [176.228.60.248] (port=4170 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hyt0H-00082g-1o; Sat, 17 Aug 2019 03:19:58 -0400
Date: Sat, 17 Aug 2019 10:19:54 +0300
Message-Id: <83imqwntr9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <e70a90a3-4df5-716f-d484-d69b224e6f01@HIDDEN> (message from
 martin rudalics on Thu, 15 Aug 2019 10:12:17 +0200)
Subject: Re: bug#36894: Restore frameset focus and selectedness
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
 <8336i6tolz.fsf@HIDDEN> <87y2zw3gb8.fsf@HIDDEN>
 <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN> <8336i3su1b.fsf@HIDDEN>
 <e70a90a3-4df5-716f-d484-d69b224e6f01@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: juri@HIDDEN, 36894 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Thu, 15 Aug 2019 10:12:17 +0200
> 
>  > I'm not sure I understand what you both are saying.  Are you saying
>  > that this problem is impossible to solve in Emacs?
> 
> If the window manager doesn't comply or is set up "wrongly", yes.
> Focus stealing cannot be handled by the application alone.  But if the
> window manager is compliant, setting the 'no-focus-on-map' frame
> parameter should handle the problem.

Juri suggested a patch.  Are you okay with it, or are you saying that
it will still fail in some situations?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 16 Aug 2019 07:29:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 16 03:29:33 2019
Received: from localhost ([127.0.0.1]:53014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyWg1-000160-Al
	for submit <at> debbugs.gnu.org; Fri, 16 Aug 2019 03:29:33 -0400
Received: from mout.gmx.net ([212.227.15.18]:40245)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1hyWfz-00015n-6I
 for 36894 <at> debbugs.gnu.org; Fri, 16 Aug 2019 03:29:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1565940557;
 bh=pqk3EwltGSyKCNYZHiGvPE4MHaklkUlP96bVIu9m1No=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=CEtbdA1J64QSt+VNN91Sfkbbl/SKhGJfWZo1DkKZdVtL+bjPw7dhtDA/rQz3fXKj8
 79A1K1aqKc+a76eC/O3bYUUrNGzuVNWOfo2womqw76cdRq1BCzWudVRxPLZZ2G5mDT
 E+hqPdPcrkQj11paBIzKlcSlZ2JK1rSKtUdPlYPI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.86]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LomJ1-1iVMFq212h-00gsEZ; Fri, 16
 Aug 2019 09:29:17 +0200
Subject: Re: bug#36894: Restore frameset focus and selectedness
To: Juri Linkov <juri@HIDDEN>
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
 <8336i6tolz.fsf@HIDDEN> <87y2zw3gb8.fsf@HIDDEN>
 <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN> <8336i3su1b.fsf@HIDDEN>
 <e70a90a3-4df5-716f-d484-d69b224e6f01@HIDDEN>
 <871rxmnumm.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <c80abd3c-a6af-3c91-af8a-2db24ee66962@HIDDEN>
Date: Fri, 16 Aug 2019 09:29:16 +0200
MIME-Version: 1.0
In-Reply-To: <871rxmnumm.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-DE
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:mHz3+4bBXSpKBJQR2sWtZ+KlEFzOhc1bePRxjFnLITywvxruiy4
 V7FEQNvwoa764m/1CuxqxlISpY5JDTtgtROKykThfbCOa7HMdCEG61mV/NAZh98C4MNgacU
 KZX9Kx3uFXLVvVjBFo0aX2HuX+u7LnSTu6LH1UySvBM50Pa8kMZv5kFdNyInEgGPLgxBfZ6
 7c47BZX+XAe9Uam4BzVuQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:9qZs6EOLhm8=:pRbi2le00/l++2Lvmfe9Gz
 XnGWISttLWD0mXYHpp/heZ/5sYHdVsGf3OVJmiEuwMQ9AJm+JRG/P+rsDsXwQFPhDeWPz7dZn
 S1VPu31hVrvYqoFNS+ymL2MpR8BHW9Ir6yYvHurLZ+HOXxS+UpbilEgMcvLZZMA8PXG7EJW+L
 L4x/azNspPoN1R1Tk9+0r7rfQUUemap55giVn7/BaLhrxWh8GkPHNoeOlOymyF9JPErZNIehr
 vodY7rOUTRvNhfSS+1qz1K14zMqcIlU6fJ3h/XjGZ4qarplBGrrLpqzQju4CTF3/NkAw5iIvu
 x4iPS+i7R8QzJKSdh74PyFTqytYkmjZ8Lv5ONV/B6Yfoa1dwo4rI1YyqDlt0dzCJ3PySsm0Yb
 33Lkj/GLuo6Y5iOhFlMcVym+oPn4uuRH8In776ppTq++MAtQ/FB/NhljV2yrMehCFxF14wPIB
 tCtbU4cOCdzk6E+O8+eYik0qcGor7tCgkxVHrQpxuCttkLeeCqRM58LgiRNOmDK2mvvlZcmXF
 6+/+dp+owQ1QgqCSY8I9X4fyU6SGeuFx+CofOl6RFQ/+oZVkO0xVBaDoYLAzxr+3wBMnhBfRz
 lxlXFpZeQMUB4JUSD/kw7Dbr5dafG4yqTNFrx9QOiZOyUOh1h1PY9vsYyylj7DKw2WN/D4xSH
 YjeZb21VUdyqfke5nh21Y/NIk8aXLhZzD/2aTbqFr8euLcPAYuWBvVrWY3bTDrDq7qm5QrlCP
 UscMp0wW6KUr3ks7qE4SJv6XAy2abFiV3D8kufdbcCfSjxxe0cXtBRoH+HDMUTdO96kTdj7Z4
 mnL8GHbXA6aqTNL/j9BWaoUaCF9805guCU16TBcZrqT8OdAE138awusxAfmG9YbW1pGg227u2
 Z8uodl4iXiTsVBlBA4+oQucuW6rmuGrv0n2RiSGOwFNQ3miNCLKmMENzBI5ESFFsDF0nBjKf0
 3gSeFSMH1L3onXPrl8Qq4d+lHWRL9ICMVJ6I/uFb6v/4gRqSeA3geLum1q3NMIUckpvQpnyFZ
 Sy41HSBEKb9RXxUOlAh1LZSD/9TSUAL0HPUZ5Rov4fmP1eYGgR6kXIqw58bAjjqg7gMl3zBwc
 8+iXFk0ZaWJwGDzdDWblGvDFqdQcwBUmQJz+d9uFbTbtUqUstbNVDz/okIroP8hZ2yBhcN+4m
 KC6+99s6nxvMkWT4rn3iZVNP8+j6lPm0rAjFX4nOLOLAActA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > I see that the MATE window manager doesn't select the new frame after
 >
 >    (make-frame '((no-focus-on-map . t)))
 >
 > Then I don't understand the logic of make-frame-command:
 >
 >    (defun make-frame-command ()
 >      (interactive)
 >      (if (display-graphic-p)
 >          (make-frame)
 >        (select-frame (make-frame))))
 >
 > On a graphic display it doesn't select the new frame explicitly,
 > maybe on the assumption that all window managers should select it
 > afterwards?

IIUC it intentionally doesn't care and doesn't make any guarantees.
See the info on 'make-frame':

      This function itself does not make the new frame the selected
      frame.  *Note Input Focus::.  The previously selected frame remains
      selected.  On graphical terminals, however, the windowing system
      may select the new frame for its own reasons.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 15 Aug 2019 19:38:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 15:38:15 2019
Received: from localhost ([127.0.0.1]:52479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyLZf-0005n7-AN
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 15:38:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hyLZd-0005mu-Ee
 for 36894 <at> debbugs.gnu.org; Thu, 15 Aug 2019 15:38:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53574)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hyLZX-0006AG-RS; Thu, 15 Aug 2019 15:38:07 -0400
Received: from [176.228.60.248] (port=4625 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hyLZX-0006vs-5N; Thu, 15 Aug 2019 15:38:07 -0400
Date: Thu, 15 Aug 2019 22:37:59 +0300
Message-Id: <83lfvup6co.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <871rxmnumm.fsf@HIDDEN> (message from Juri Linkov on
 Thu, 15 Aug 2019 21:36:33 +0300)
Subject: Re: bug#36894: Restore frameset focus and selectedness
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
 <8336i6tolz.fsf@HIDDEN> <87y2zw3gb8.fsf@HIDDEN>
 <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN> <8336i3su1b.fsf@HIDDEN>
 <e70a90a3-4df5-716f-d484-d69b224e6f01@HIDDEN> <871rxmnumm.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36894
Cc: rudalics@HIDDEN, 36894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  36894 <at> debbugs.gnu.org
> Date: Thu, 15 Aug 2019 21:36:33 +0300
> 
> Then I don't understand the logic of make-frame-command:
> 
>   (defun make-frame-command ()
>     (interactive)
>     (if (display-graphic-p)
>         (make-frame)
>       (select-frame (make-frame))))
> 
> On a graphic display it doesn't select the new frame explicitly,
> maybe on the assumption that all window managers should select it
> afterwards?

On a TTY, if you don't select the new frame, it is invisible.  On a
GUI display, the new frame is visible, so there's no need to
explicitly select it, because no one said the user wants the new frame
become selected.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 15 Aug 2019 18:53:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 14:53:19 2019
Received: from localhost ([127.0.0.1]:52441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyKsA-0004M6-To
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 14:53:19 -0400
Received: from fossa.birch.relay.mailchannels.net ([23.83.209.62]:15080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1hyKs8-0004Lw-Ak
 for 36894 <at> debbugs.gnu.org; Thu, 15 Aug 2019 14:53:17 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 32FC734284B;
 Thu, 15 Aug 2019 18:53:15 +0000 (UTC)
Received: from pdx1-sub0-mail-a66.g.dreamhost.com
 (100-96-148-147.trex.outbound.svc.cluster.local [100.96.148.147])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id B35C7341EB1;
 Thu, 15 Aug 2019 18:53:14 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a66.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Thu, 15 Aug 2019 18:53:15 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Whistle-Thread: 291dc8112f5d0b02_1565895194964_1171750878
X-MC-Loop-Signature: 1565895194964:3028699355
X-MC-Ingress-Time: 1565895194963
Received: from pdx1-sub0-mail-a66.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a66.g.dreamhost.com (Postfix) with ESMTP id B5C8984B46;
 Thu, 15 Aug 2019 11:53:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=pLOPReMQnZz8MXteaObbU5Xtyjs=; b=
 Dbk83MAtMli57FdrG6KWeLeTyMSPIcvRGifqZRj1WUF+c6yCNMjXdXEz8sHRevSx
 zilmPp7qZo9FpjM/sEaP8kq3CDXnCpCcC/YBBb6lSr4qlT7SlFf9tibp9eoG1Pd0
 FTAIr9pw1iPOEcckpDduc9gtxbJzCELdVqt9OeKBFfk=
Received: from mail.jurta.org (m91-129-109-163.cust.tele2.ee [91.129.109.163])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a66.g.dreamhost.com (Postfix) with ESMTPSA id BD75884B44;
 Thu, 15 Aug 2019 11:53:07 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a66
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#36894: Restore frameset focus and selectedness
Organization: LINKOV.NET
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
 <8336i6tolz.fsf@HIDDEN> <87y2zw3gb8.fsf@HIDDEN>
 <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN> <8336i3su1b.fsf@HIDDEN>
 <e70a90a3-4df5-716f-d484-d69b224e6f01@HIDDEN>
Date: Thu, 15 Aug 2019 21:36:33 +0300
In-Reply-To: <e70a90a3-4df5-716f-d484-d69b224e6f01@HIDDEN> (martin rudalics's
 message of "Thu, 15 Aug 2019 10:12:17 +0200")
Message-ID: <871rxmnumm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddrudefuddguddvlecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtledrudeifeenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdelrdduieefpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtoheprhhuuggrlhhitghssehgmhigrdgrthenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> If the window manager doesn't comply or is set up "wrongly", yes.
> Focus stealing cannot be handled by the application alone.  But if the
> window manager is compliant, setting the 'no-focus-on-map' frame
> parameter should handle the problem.

I see that the MATE window manager doesn't select the new frame after

  (make-frame '((no-focus-on-map . t)))

Then I don't understand the logic of make-frame-command:

  (defun make-frame-command ()
    (interactive)
    (if (display-graphic-p)
        (make-frame)
      (select-frame (make-frame))))

On a graphic display it doesn't select the new frame explicitly,
maybe on the assumption that all window managers should select it
afterwards?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 15 Aug 2019 08:12:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 04:12:33 2019
Received: from localhost ([127.0.0.1]:50596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyAs4-0004iV-R3
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 04:12:32 -0400
Received: from mout.gmx.net ([212.227.17.20]:44623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1hyAs3-0004iI-6g
 for 36894 <at> debbugs.gnu.org; Thu, 15 Aug 2019 04:12:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1565856740;
 bh=Szu47cYq3W3qdBY4UurOL5MT5YO5BYHXnvaVZJqwxbw=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=Xh+bHWrz26bnWGtHwHC9ZZ303s0HXq5WvPLzgTGLXvP30d33pvvSzcV4qxbeO2D8O
 E8HNsGOmSSAbXNzRMl7XxVyJ1eF9OSWDf4Z7R3eq5/+0/sy6ftTe3OmEvLqOMidTOq
 aoRQSYcFzpvJ/MPQZpgimiYkcS7uutqyZz8R+Msg=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.89]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0ML6XF-1hxtkj25Kb-000PKr; Thu, 15
 Aug 2019 10:12:20 +0200
Subject: Re: bug#36894: Restore frameset focus and selectedness
To: Eli Zaretskii <eliz@HIDDEN>
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
 <8336i6tolz.fsf@HIDDEN> <87y2zw3gb8.fsf@HIDDEN>
 <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN> <8336i3su1b.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <e70a90a3-4df5-716f-d484-d69b224e6f01@HIDDEN>
Date: Thu, 15 Aug 2019 10:12:17 +0200
MIME-Version: 1.0
In-Reply-To: <8336i3su1b.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-DE
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:kZDG426OTjwSY9NcM3n4jEFFLXvQTw+AEMUR3+n4wsDUs7Ryxtc
 qvRnitEo9S8woYGIs5Wvb+L5iqNRsK/N+bK+t8R3fVn1DbvL9fs0t/oJYZvPBsE2g6wWSZM
 6uVPZXmVw2kvEVOHFDq0FDbLOtTAIkrGt8rjS7oQbaJj0BZ7Pc7PvDdUtCrncT74U4RNp18
 k4glsrOhNgsaVvESohOTA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:CLdonyDstcE=:5aQQm5XFa7HApYHgmw2jxS
 JKFoiuNIoKPZUiX3cGtXSY8sAeisRX35mdgOvogv5YAyoW7Nzrcpi8+kOf3hfHGx6dEy7qX3S
 gIRKqOqiZWzCB+Wy4zs0xL2GcLbZkdOpa7wWBXiFGgyenXDfl1VNauAAcmF0aG4o1k2iZo9Rv
 rxmKCQmeW60XoVwKeO+QCezFC9HtkpOs/SCrkP0IQdvW4JDB3wF+G/UjVkBC6mEQ+B/5U/Xtk
 6gyUeEYKHje5treayYsIgXhTgzEznr5WzB0v6YwoUjwfOGuOM6um6iGh/hUPpXZ0ped8CY/BY
 tWdcUQt7GqmUjH7GTjRLyYKgrrUOw00Jm++1bvG26Pkux/BlcSR35ourYhZYGN89CKxvx7C+R
 Zd6MhQZ8Mc7o1bEF91+11VHsKmyeyGMqRmTWoG/Lz05rYU8d92I7e3yUIcWx68BAh6gWPPHs3
 Te2bl9basBXs1T6q6Vt6C4J+LVhoujD/0dPPKEgVYrEOvE5h67aQ8xo/oj4rbyEBN1MPRuK6q
 /KD5d2uQqHb8R1UtdNazmeAmvPVtIQDfSSUdc2pyQ5TMlH9dJ7RDyzntXeSXeYnRyVOJTsPXw
 Tra7WI63Pzf7EgqielZdL8qbK37B2ogvzVayjv6uJ2akVAagUsWqujKgQ+I7blkEvdCS16w7v
 0ZzFDSKlPL+hBrRrzaPMfUfMSY5gGPEUpDdXHxcX5Ac8BY6F0MhfpYxMltZinUS31QTu0SaNc
 OTjB4PMo8OHwT7Uhu4xPl8GVZOyn5kL7XEkjxNqwG4i8znON/q8f7qxkNZpL/KhW9Pr/1b/Hi
 JYVbkK7pLGcAEUte0CeM3fdmRDzaTNZ9I4nSyRMTwLZe6I60jLKjBkXo+dk6ya7WcfN5wMikn
 ijpylJQhZd9xwM9BC4TkrJgUI22n/UgsQ66I0ZbydYxF9s6kdldP2LMTytCD+Qgrz+t1/R5qZ
 xkGkGip/mWPXyU9CFm8cYDnkxyLqvbCAmjLw6AeLnmrl0PXho0hjxwrPFBEsBNiCUeyB+mJqe
 BpzKE6UzFPPdW4brlbiX1ODYyZO4gQtZ/aqItsI+H+Hpi7DLPENWKpS55E72AWxwMC55OlG79
 9m9/Iv78puZQ7B/y+92EDgJWjUYRV75fU/V3uFHxqQO9+Tg7tNBikIKYvpKebqGusV2/eSLlj
 jG3AMLqHpv3Z65ByjynOZFs7qlgY1Yw9udaaTKfw1Ko4riiw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I'm not sure I understand what you both are saying.  Are you saying
 > that this problem is impossible to solve in Emacs?

If the window manager doesn't comply or is set up "wrongly", yes.
Focus stealing cannot be handled by the application alone.  But if the
window manager is compliant, setting the 'no-focus-on-map' frame
parameter should handle the problem.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 14 Aug 2019 20:57:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 16:57:17 2019
Received: from localhost ([127.0.0.1]:49799 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hy0Kb-0000u5-8P
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 16:57:17 -0400
Received: from bisque.elm.relay.mailchannels.net ([23.83.212.18]:64433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1hy0KZ-0000tx-Jy
 for 36894 <at> debbugs.gnu.org; Wed, 14 Aug 2019 16:57:16 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 776592C35FA;
 Wed, 14 Aug 2019 20:57:14 +0000 (UTC)
Received: from pdx1-sub0-mail-a69.g.dreamhost.com
 (100-96-89-43.trex.outbound.svc.cluster.local [100.96.89.43])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id F0A642C3612;
 Wed, 14 Aug 2019 20:57:13 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a69.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Wed, 14 Aug 2019 20:57:14 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Chemical-Coil: 6c6860860b5bb8ac_1565816234244_1868902066
X-MC-Loop-Signature: 1565816234244:22770396
X-MC-Ingress-Time: 1565816234244
Received: from pdx1-sub0-mail-a69.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a69.g.dreamhost.com (Postfix) with ESMTP id 9526981F4D;
 Wed, 14 Aug 2019 13:57:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=WmlN8DIHZmDLBcPSERwng1pW0Gs=; b=
 oUezfZnOV9TjIc94Zr8hswaDLlJ8k4JMB1xwnxpgHJeCSPs6Puqt33LGOTA4VRav
 JFZDnoM7g9fURoLRfNpKdB0R8gvDhCPV2K+weZEx+Mjjl4HWmXbOM+XIzTSczytB
 guerZwYWohy6Ljy1mFpA03G0R3bWHozyTUYNLL+5k2Q=
Received: from mail.jurta.org (m91-129-109-163.cust.tele2.ee [91.129.109.163])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a69.g.dreamhost.com (Postfix) with ESMTPSA id 373BA81F58;
 Wed, 14 Aug 2019 13:57:05 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a69
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36894: Restore frameset focus and selectedness
Organization: LINKOV.NET
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
 <8336i6tolz.fsf@HIDDEN> <87y2zw3gb8.fsf@HIDDEN>
 <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN> <8336i3su1b.fsf@HIDDEN>
Date: Wed, 14 Aug 2019 23:50:44 +0300
In-Reply-To: <8336i3su1b.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 Aug
 2019 17:25:52 +0300")
Message-ID: <87tvajh3ob.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddruddvledgledvucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesmhdtreertdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdelrdduieefnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtledrudeifedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegvlhhiiiesghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36894
Cc: martin rudalics <rudalics@HIDDEN>, 36894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

>>  > The window manager always selects the last created frame, i.e.
>>  > it seems it's impossible to create a new frame without selecting it.
>> 
>> The xfce window manager has an option for whether a new window should
>> be automatically given focus or not.
>
> I'm not sure I understand what you both are saying.  Are you saying
> that this problem is impossible to solve in Emacs?

The problem can be solved with this patch:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=frameset-restore-last-focus-frame.patch

diff --git a/lisp/frameset.el b/lisp/frameset.el
index 60b6fe38ad..4f7800630c 100644
--- a/lisp/frameset.el
+++ b/lisp/frameset.el
@@ -1346,6 +1352,16 @@ frameset-restore
 	    (error
 	     (delay-warning 'frameset (error-message-string err) :warning))))))
 
+    ;; Make sure the last selected frame has focus.
+    (let ((last-focus-frame
+           (catch 'last-focus
+             (maphash (lambda (frame _)
+                        (when (frame-parameter frame 'last-focus-update)
+                          (throw 'last-focus frame)))
+                      frameset--action-map))))
+      (when last-focus-frame
+        (select-frame-set-input-focus last-focus-frame)))
+
     ;; Make sure there's at least one visible frame.
     (unless (or (daemonp)
 		(catch 'visible

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 14 Aug 2019 20:57:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 16:57:07 2019
Received: from localhost ([127.0.0.1]:49796 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hy0KQ-0000ti-SX
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 16:57:07 -0400
Received: from bird.elm.relay.mailchannels.net ([23.83.212.17]:6787)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1hy0KO-0000tZ-DC
 for 36894 <at> debbugs.gnu.org; Wed, 14 Aug 2019 16:57:05 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 3034C8C30FA;
 Wed, 14 Aug 2019 20:57:03 +0000 (UTC)
Received: from pdx1-sub0-mail-a69.g.dreamhost.com
 (100-96-86-117.trex.outbound.svc.cluster.local [100.96.86.117])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id BAE0A8C2091;
 Wed, 14 Aug 2019 20:57:02 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a69.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Wed, 14 Aug 2019 20:57:03 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Shade-Towering: 73c8ba374deaa37a_1565816222999_68670819
X-MC-Loop-Signature: 1565816222999:3326404047
X-MC-Ingress-Time: 1565816222998
Received: from pdx1-sub0-mail-a69.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a69.g.dreamhost.com (Postfix) with ESMTP id 3346B81F54;
 Wed, 14 Aug 2019 13:57:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=xmNwRMJpCACmVxb0jJQH9psrPHs=; b=
 i7bLHWizETzfhUbQ62uh00CYmm4By/577GhNcLxZENKr1cczZ6A3Jtsx8XSYR1NK
 7RGmI8uN4BgDVZITS5o4SYDS2KWsSs/3OdNTHXzroh+P+CyDUyedwmMxtAMraQoR
 iZlDJBLiODmGjJUMj2SWjLgE3h8VOvTWWY+Aw+bluTE=
Received: from mail.jurta.org (m91-129-109-163.cust.tele2.ee [91.129.109.163])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a69.g.dreamhost.com (Postfix) with ESMTPSA id 7128481F4D;
 Wed, 14 Aug 2019 13:56:58 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a69
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#36894: Restore frameset focus and selectedness
Organization: LINKOV.NET
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
 <8336i6tolz.fsf@HIDDEN> <87y2zw3gb8.fsf@HIDDEN>
 <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN>
Date: Wed, 14 Aug 2019 23:49:25 +0300
In-Reply-To: <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN> (martin rudalics's
 message of "Wed, 14 Aug 2019 10:58:47 +0200")
Message-ID: <87a7cbiiay.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddruddvledgledvucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdelrdduieefnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtledrudeifedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopehruhgurghlihgtshesghhmgidrrghtnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> The window manager always selects the last created frame, i.e.
>> it seems it's impossible to create a new frame without selecting it.
>
> The xfce window manager has an option for whether a new window should
> be automatically given focus or not.

Actually I use the MATE window manager.  I don't know why the output of
report-emacs-bug I sent in the previous message doesn't include information
about the window manager, I see several ENV variables with this name,
maybe report-emacs-bug should include one of them:

  DESKTOP_SESSION=mate
  GDMSESSION=mate
  XDG_CURRENT_DESKTOP=MATE
  XDG_SESSION_DESKTOP=mate

And I can't find such a focus-related option in the MATE window manager.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 14 Aug 2019 14:26:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 10:26:10 2019
Received: from localhost ([127.0.0.1]:49559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxuE6-0006GZ-Ia
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 10:26:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46829)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hxuE4-0006GL-HF
 for 36894 <at> debbugs.gnu.org; Wed, 14 Aug 2019 10:26:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56950)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hxuDy-0004pw-PA; Wed, 14 Aug 2019 10:26:02 -0400
Received: from [176.228.60.248] (port=1128 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hxuDx-0008Gn-TA; Wed, 14 Aug 2019 10:26:02 -0400
Date: Wed, 14 Aug 2019 17:25:52 +0300
Message-Id: <8336i3su1b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN> (message from
 martin rudalics on Wed, 14 Aug 2019 10:58:47 +0200)
Subject: Re: bug#36894: Restore frameset focus and selectedness
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
 <8336i6tolz.fsf@HIDDEN> <87y2zw3gb8.fsf@HIDDEN>
 <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 36894 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Wed, 14 Aug 2019 10:58:47 +0200
> 
>  > The window manager always selects the last created frame, i.e.
>  > it seems it's impossible to create a new frame without selecting it.
> 
> The xfce window manager has an option for whether a new window should
> be automatically given focus or not.

I'm not sure I understand what you both are saying.  Are you saying
that this problem is impossible to solve in Emacs?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 14 Aug 2019 08:59:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 04:59:03 2019
Received: from localhost ([127.0.0.1]:48915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxp7X-0004t6-5T
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 04:59:03 -0400
Received: from mout.gmx.net ([212.227.15.19]:43165)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1hxp7V-0004sc-IX
 for 36894 <at> debbugs.gnu.org; Wed, 14 Aug 2019 04:59:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1565773130;
 bh=dCENJd1rDVM3vyoLdPZxQw1Xa9lSwY9XxTmC9V0+ezA=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=lgunUF2EHguGbzt9hUpuGsI/a6qRhDx+SrYUzg6f/0k6PKeyy5hyjjnPWHFJKxKCX
 HFEuCxwmxAefVayMj4LwkRMu37dqYSy9yVjLMl6zrZQl1Gy1EjzuJj1CDoweYNbiXi
 KAlqSRKHQoljjBYSmglTVXKfhDm7mtdURzy81amg=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.101]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MVe87-1hn4PF0ZGJ-00YwFt; Wed, 14
 Aug 2019 10:58:50 +0200
Subject: Re: bug#36894: Restore frameset focus and selectedness
To: Juri Linkov <juri@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
 <8336i6tolz.fsf@HIDDEN> <87y2zw3gb8.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <12822045-5c5f-f575-8315-86a85657ecaa@HIDDEN>
Date: Wed, 14 Aug 2019 10:58:47 +0200
MIME-Version: 1.0
In-Reply-To: <87y2zw3gb8.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-DE
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:3hEnnoLAWKH6N0V9or4vc6Yi6Xc8Cpwh96Kjwn2mtYxWnSpuNeW
 RZVFzbAVOStjiUjwoQ1mawBY67+UQR6tQ8sKTGWbpDM+YjdzAP9AM7hVy55EOnVqLUN+tJZ
 fHhdJn31viwNpfMPVxq6K239JLU2BjtBImIc2z48Vfo+qqcMw+R+5hXuKY8G/AkVJtLGILq
 LTRvoD2s7YV0c7yHouk4Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:IW3Dw9EWjiI=:kx895Img4RQmn5Gq5yTcI7
 A1oEJnMYl0dJllsvxtyXDVvKOQGnMYa3wXaZ4P3Dbn0OhGtL71bfxhbvZt2n40iK5+2dkIYiZ
 5yWCcSLWHj5G91Ryn3noYUtcbjJgV8kS2NqoEh/ohGlqQimUmmh+J9XnATjovRVlwS3MRtTOI
 ITlTlGS0ecDuhrOcavfLauVPggbcQi2ksG5jwTQ3sOKZHVadVC3VDnYUOzx8HrverJ6hDFZnF
 b8mbJT5Dzqt1Tr5NSdeXwj8gI6ftSDI/PVJMXphZi0vy0S/DYQy/17jUhiaIu0IDI7bIInLCa
 l9sOWczYmTJ7E+wlFeAwMLQ7jxOr8Zvw0R2kWsZXpAEzymyBvWbwOjeF+Qm7mYlUtVdKbXTxZ
 yUBIS5fnG9v+QqZwhmkIu58/Ks1bh0v/acQhhang4/9B4EGC5y2wsJJmCOAnz4z2/4b3axGiy
 h0SP3VhxN2z/J0euYXkHJOduzGOucf8mxLSZYCTjw3kppC2p5aFL2Pv8bqGoedAJRFih6vIJA
 pIrVkB7ka5NG7E8Ps0EeydBkEu/+7+W5csTEgOQzhneEQSdczGVgPelAvt9NPQ9N1BQxKoHiq
 sAXTUeBOT0NkdC+kEAp6Yxfnto9eobXSkiirGcfLbRkdz8IVZECMqVcRawHyi5yHoTDTGkvXl
 nyV/72L59x33jbna42PE/qfjbJCBWgsIxm52upL/WlE3zv2nq3c4/iaz6WfNHCAiXRsQgCGap
 C8RMNXQUJLgkNIcwqd7IWIO+lKjEmgr5lTUU1eG6PaB0jANiZ8eMDEv4lZ6g38S8e5/fDJx2w
 K547KTYc/qZGSkjLjtCg4UMoFR+XArywLJD5hISYv69gaF1kMOafmNSkwOdgZoExzGSFwYGGM
 8udQmiW5qt8SAkcYv3eyk829ZYYRW7M0PPaJgJsBDsYNx5BqAx7b4Ht3RxcPZ/5okaqchQnyz
 Zq7/mNjN/iC/5unmWfxoX9+pePOIRZSWITsBA1OTp008eeyNI7zUfgslQKtx4zEHIHOnht+qx
 6uFlQK5ylr4zJvACPz2Ej9yd0lPb1wefAaNfdnK1aS9Btb5lYQ1E2KLpY4clnN2fKsIb4GOsf
 tAd9d7/F29vuTi6HDE6i7Ly2yTipSLyV+0PJ1YnqsJh/RliVy8fD8M95QnRe+xE8bu2A0/V+u
 tKEr0=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > The window manager always selects the last created frame, i.e.
 > it seems it's impossible to create a new frame without selecting it.

The xfce window manager has an option for whether a new window should
be automatically given focus or not.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 13 Aug 2019 21:38:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 13 17:38:36 2019
Received: from localhost ([127.0.0.1]:48726 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxeV1-0003Dj-NC
	for submit <at> debbugs.gnu.org; Tue, 13 Aug 2019 17:38:36 -0400
Received: from blue.elm.relay.mailchannels.net ([23.83.212.20]:26597)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1hxeUy-0003Da-1K
 for 36894 <at> debbugs.gnu.org; Tue, 13 Aug 2019 17:38:33 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 8AF1C6A29A9;
 Tue, 13 Aug 2019 21:38:30 +0000 (UTC)
Received: from pdx1-sub0-mail-a45.g.dreamhost.com
 (100-96-91-66.trex.outbound.svc.cluster.local [100.96.91.66])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 10A4D6A28CA;
 Tue, 13 Aug 2019 21:38:30 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a45.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Tue, 13 Aug 2019 21:38:30 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Decisive-Fearful: 5d4a9a9a1a5835a8_1565732310299_2408198308
X-MC-Loop-Signature: 1565732310299:1553747448
X-MC-Ingress-Time: 1565732310299
Received: from pdx1-sub0-mail-a45.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a45.g.dreamhost.com (Postfix) with ESMTP id 3376D7F550;
 Tue, 13 Aug 2019 14:38:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=FPHnQ2WxNQJRkPir8rcisO4ngPA=; b=
 UsRFx2+dlooSf3jy5nmR1zNpIgHVnYkdRBktOET/bExwKkIvTaK7zx3vdgyuEUYu
 NQzwETTL865j1SEkQF8T+jMHcJansifjKq8p+xracuik/QBSkBeQtE/Frjjqbfme
 UQhwT+oXZ+RMajAHAHTuMPDljL0VhlQANWd3Nt9crWo=
Received: from mail.jurta.org (m91-129-109-163.cust.tele2.ee [91.129.109.163])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a45.g.dreamhost.com (Postfix) with ESMTPSA id 88B467F235;
 Tue, 13 Aug 2019 14:38:26 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a45
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36894: Restore frameset focus and selectedness
Organization: LINKOV.NET
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
 <8336i6tolz.fsf@HIDDEN>
Date: Wed, 14 Aug 2019 00:29:15 +0300
In-Reply-To: <8336i6tolz.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 12 Aug
 2019 18:00:56 +0300")
Message-ID: <87y2zw3gb8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddruddvjecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtledrudeifeenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdelrdduieefpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepvghlihiisehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Maybe then the desktop should save the selectedness as well.
>
> You mean, restore last-focus-update?  If you add it to
> desktop-globals-to-save, is it restored?

'last-focus-update' is a frame parameter saved in 'desktop-saved-frameset'.

>> > But I asked for a reproducible recipe, and I don't think you have
>> > shown one.  Could you please do that?  I'd like to study it.
>> 
>> In your case above, if you save the frames is such order that
>> the selected frame is not saved last, can you reproduce the problem?
>> I see this problem often when the last frame is not selected.
>
> How can this happen?  In my use, desktop is saved when I kill Emacs,
> and in that case the selected frame is always the last one saved.
>
> That's hwy I asked for a reproducible recipe: I think there are some
> factors at work on your system which I don't understand.

Indeed something strange happens, here is a complete recipe:

0. emacs -Q
1. C-h C-t   (view-emacs-todo)
2. C-x 5 2   (make-frame-command)
3. C-h C-n   (view-emacs-news)
4. C-x 5 o   (other-frame)
5. M-x desktop-save RET RET
6. C-x C-c

7. emacs -Q -f desktop-read --eval '(message "selected-frame: %S" (selected-frame))'
8. M-: (selected-frame) RET

9. In the *Messages* buffer the printed selected-frame is not the same.
   See more explanations of messages in the *Messages* buffer below:

The next message comes from 'message' added to frameset.el:
frameset-restore frame-list: (#<frame emacs@localhost 0x5572e78000c0> #<frame emacs@localhost 0x5572e71a9eb0>)

The next message comes from 'message' added to frameset.el:
frameset-restore selected-frame: #<frame emacs@localhost 0x5572e71a9eb0>

The next message comes from desktop.el:
Desktop: 2 frames, 2 buffers restored.

The next message comes from 'message' added to desktop.el:
desktop-read selected-frame: #<frame TODO 0x5572e71a9eb0>

The next message comes from 'message' on the command line:
selected-frame: #<frame TODO 0x5572e71a9eb0>

The next message comes from 'message' added to startup.el:
normal-top-level selected-frame: #<frame TODO 0x5572e71a9eb0>

The next message comes from M-: (selected-frame)
#<frame  *Minibuf-1* 0x5572e78000c0>

Here 0x5572e71a9eb0 is the frame with TODO, and 0x5572e78000c0 with NEWS.
(0x5572e71a9eb0 was reused, but 0x5572e78000c0 is a new frame created by frameset-restore)
After loading the former should be selected, but actually the latter is selected.

The 'message' added at the end of 'normal-top-level' shows one value
of selected-frame, but evaluating M-: (selected-frame) immediately after loading
shows another value of selected-frame.

Conclusion:
The window manager always selects the last created frame, i.e.
it seems it's impossible to create a new frame without selecting it.

Here is complete information:

In GNU Emacs 27.0.50 (build 84, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2019-08-13 built on localhost
Repository revision: 2b329ed420eb15f6738edd402697ac2876b2aa61
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Linux Mint 19.1

Configured using:
 'configure --with-imagemagick'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT
LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS PDUMPER
LCMS2 GMP

Important settings:
  value of $LC_MONETARY: fi_FI.UTF-8
  value of $LC_NUMERIC: fi_FI.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Outline

Minor modes in effect:
  bug-reference-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t
  view-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec password-cache epa derived epg epg-config
gnus-util rmail rmail-loaddefs text-property-search mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils cl-seq cl-extra
help-mode time-date subr-x goto-addr thingatpt seq byte-opt gv bytecomp
byte-compile cconv view vc-git diff-mode easymenu bug-reference noutline
outline easy-mmode desktop frameset cl-loaddefs cl-lib tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 55782 4941)
 (symbols 48 7047 1)
 (strings 32 19182 1991)
 (string-bytes 1 619171)
 (vectors 16 11862)
 (vector-slots 8 157169 9776)
 (floats 8 36 26)
 (intervals 56 229 0)
 (buffers 992 13))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 12 Aug 2019 15:01:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 12 11:01:17 2019
Received: from localhost ([127.0.0.1]:47309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxBoz-0001ao-Br
	for submit <at> debbugs.gnu.org; Mon, 12 Aug 2019 11:01:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hxBox-0001ab-Pn
 for 36894 <at> debbugs.gnu.org; Mon, 12 Aug 2019 11:01:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51784)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hxBos-0002AR-At; Mon, 12 Aug 2019 11:01:10 -0400
Received: from [176.228.60.248] (port=2265 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hxBor-0006fT-HF; Mon, 12 Aug 2019 11:01:10 -0400
Date: Mon, 12 Aug 2019 18:00:56 +0300
Message-Id: <8336i6tolz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87mugf4e8l.fsf@HIDDEN> (message from Juri Linkov on
 Sun, 11 Aug 2019 23:51:54 +0300)
Subject: Re: bug#36894: Restore frameset focus and selectedness
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN> <87mugf4e8l.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 36894 <at> debbugs.gnu.org
> Date: Sun, 11 Aug 2019 23:51:54 +0300
> 
> >> 'last-focus-update' was added recently in Emacs 27.
> >
> > How is that relevant?
> 
> 'last-focus-update' could be used to put focus back to the same frame
> where it was before saving the desktop.
> 
> >> So this is a new feature that we could use now in the desktop
> >> to restore focus in the same frame where it was before.
> >
> > Selected frame and frame that has focus is not the same thing,
> > definitely not with an arbitrary window-manager.
> 
> Maybe then the desktop should save the selectedness as well.

You mean, restore last-focus-update?  If you add it to
desktop-globals-to-save, is it restored?

> > But I asked for a reproducible recipe, and I don't think you have
> > shown one.  Could you please do that?  I'd like to study it.
> 
> In your case above, if you save the frames is such order that
> the selected frame is not saved last, can you reproduce the problem?
> I see this problem often when the last frame is not selected.

How can this happen?  In my use, desktop is saved when I kill Emacs,
and in that case the selected frame is always the last one saved.

That's hwy I asked for a reproducible recipe: I think there are some
factors at work on your system which I don't understand.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.
Changed bug title to 'Restore frameset focus and selectedness' from 'Stability issues in frameset sorting' Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 11 Aug 2019 20:59:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 11 16:59:01 2019
Received: from localhost ([127.0.0.1]:45824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hwuvc-00013u-Rx
	for submit <at> debbugs.gnu.org; Sun, 11 Aug 2019 16:59:01 -0400
Received: from camel.birch.relay.mailchannels.net ([23.83.209.29]:8939)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1hwuvb-00013i-7q; Sun, 11 Aug 2019 16:59:00 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 983098C1823;
 Sun, 11 Aug 2019 20:58:57 +0000 (UTC)
Received: from pdx1-sub0-mail-a88.g.dreamhost.com
 (100-96-85-25.trex.outbound.svc.cluster.local [100.96.85.25])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 24DF58C16FD;
 Sun, 11 Aug 2019 20:58:57 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a88.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Sun, 11 Aug 2019 20:58:57 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Continue-Celery: 64cd1cbc1f29d198_1565557137386_3059854191
X-MC-Loop-Signature: 1565557137386:3693840187
X-MC-Ingress-Time: 1565557137386
Received: from pdx1-sub0-mail-a88.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a88.g.dreamhost.com (Postfix) with ESMTP id CFBA08146D;
 Sun, 11 Aug 2019 13:58:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type:content-transfer-encoding; s=linkov.net; bh=19J/q2
 zXqs4JudRNsl+q2fbDKJQ=; b=GjxFOv1Mw3AfKmPT9U/BhQ0RDqYzl7yS6KwONK
 l36LqfbdbNLXtSX8rYfiKOTRvjv0uHRh1btdMdqatW/LbtGu+oI6NooGWtqkKeQN
 4Cq9EHKN0CGurdV4xbHKn2ZWqk8jwkRD9p7Mam4eQJWCqVwzi3/VoC6U6zHX0YTj
 yWa64=
Received: from mail.jurta.org (m91-129-103-91.cust.tele2.ee [91.129.103.91])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a88.g.dreamhost.com (Postfix) with ESMTPSA id D179381468;
 Sun, 11 Aug 2019 13:58:50 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a88
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36894: Restore frameset focus and selectedness
Organization: LINKOV.NET
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
 <83a7ci9n4j.fsf@HIDDEN>
Date: Sun, 11 Aug 2019 23:51:54 +0300
In-Reply-To: <83a7ci9n4j.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 09 Aug
 2019 22:04:12 +0300")
Message-ID: <87mugf4e8l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddruddvvddgudehhecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtgfesthekredttderjeenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrdeludenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdefrdeluddprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegvlhhiiiesghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedt
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

retitle 36894 Restore frameset focus and selectedness
thanks

>> Then created a completely new desktop in Emacs 26,
>> but it didn't restore focus in the frame where it previously was.
>>
>> And I don't see how Emacs 26 could restore focus,
>
> Well, it does for me, and I think that's because the order of saving
> the frames is such that the selected frame is saved last (and thus
> restored last).
>
>> 'last-focus-update' was added recently in Emacs 27.
>
> How is that relevant?

'last-focus-update' could be used to put focus back to the same frame
where it was before saving the desktop.

>> So this is a new feature that we could use now in the desktop
>> to restore focus in the same frame where it was before.
>
> Selected frame and frame that has focus is not the same thing,
> definitely not with an arbitrary window-manager.

Maybe then the desktop should save the selectedness as well.
I see some =E2=80=98(selected . t)=E2=80=99 in the desktop, but it seems
these indicate the selected buffer, not frame.

> But I asked for a reproducible recipe, and I don't think you have
> shown one.  Could you please do that?  I'd like to study it.

In your case above, if you save the frames is such order that
the selected frame is not saved last, can you reproduce the problem?
I see this problem often when the last frame is not selected.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 9 Aug 2019 19:04:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 09 15:04:24 2019
Received: from localhost ([127.0.0.1]:43283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hwABc-0000uC-Bp
	for submit <at> debbugs.gnu.org; Fri, 09 Aug 2019 15:04:24 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44376)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hwABZ-0000u0-SZ
 for 36894 <at> debbugs.gnu.org; Fri, 09 Aug 2019 15:04:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41469)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hwABU-0002wv-Lx; Fri, 09 Aug 2019 15:04:16 -0400
Received: from [176.228.60.248] (port=3165 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hwABU-0005OD-3X; Fri, 09 Aug 2019 15:04:16 -0400
Date: Fri, 09 Aug 2019 22:04:12 +0300
Message-Id: <83a7ci9n4j.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87h86q8b3m.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 09 Aug 2019 21:09:17 +0300)
Subject: Re: bug#36894: Stability issues in frameset sorting
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN> <87h86q8b3m.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 36894 <at> debbugs.gnu.org
> Date: Fri, 09 Aug 2019 21:09:17 +0300
> 
> Then created a completely new desktop in Emacs 26,
> but it didn't restore focus in the frame where it previously was.
> 
> And I don't see how Emacs 26 could restore focus,

Well, it does for me, and I think that's because the order of saving
the frames is such that the selected frame is saved last (and thus
restored last).

> 'last-focus-update' was added recently in Emacs 27.

How is that relevant?

> So this is a new feature that we could use now in the desktop
> to restore focus in the same frame where it was before.

Selected frame and frame that has focus is not the same thing,
definitely not with an arbitrary window-manager.

But I asked for a reproducible recipe, and I don't think you have
shown one.  Could you please do that?  I'd like to study it.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 9 Aug 2019 18:10:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 09 14:10:33 2019
Received: from localhost ([127.0.0.1]:43242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hw9LU-0007wb-IS
	for submit <at> debbugs.gnu.org; Fri, 09 Aug 2019 14:10:32 -0400
Received: from bumble.birch.relay.mailchannels.net ([23.83.209.25]:31041)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1hw9LQ-0007wK-36
 for 36894 <at> debbugs.gnu.org; Fri, 09 Aug 2019 14:10:28 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id E9CB150285C;
 Fri,  9 Aug 2019 18:10:26 +0000 (UTC)
Received: from pdx1-sub0-mail-a11.g.dreamhost.com
 (100-96-148-111.trex.outbound.svc.cluster.local [100.96.148.111])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 5A9135027E8;
 Fri,  9 Aug 2019 18:10:26 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a11.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Fri, 09 Aug 2019 18:10:26 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Bottle-Versed: 727fe94808c750b3_1565374226627_4252415203
X-MC-Loop-Signature: 1565374226626:130496572
X-MC-Ingress-Time: 1565374226626
Received: from pdx1-sub0-mail-a11.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a11.g.dreamhost.com (Postfix) with ESMTP id 3467D83527;
 Fri,  9 Aug 2019 11:10:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=pJ5dfCrxHf6eIjinS+1pdjRKn+Q=; b=
 ZPlfsksBNe610uvCboicZ59DJbPiCsjkc/kgXxo6vS2cJcaaMpCocLFgKyYtRF5q
 +ZS65yAoZ6gQfaVwJxdLakGZmrPP1g2gJ+UJC4ueCCN8MagjJWlwzBjms+VF+Nfn
 Ne3qtPZpIOmtk0xu31QKbzXNR3LNKqC2zeYpCvvwr34=
Received: from mail.jurta.org (m91-129-103-91.cust.tele2.ee [91.129.103.91])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a11.g.dreamhost.com (Postfix) with ESMTPSA id 8F48E8360A;
 Fri,  9 Aug 2019 11:10:22 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a11
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36894: Stability issues in frameset sorting
Organization: LINKOV.NET
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
 <83y305btde.fsf@HIDDEN>
Date: Fri, 09 Aug 2019 21:09:17 +0300
In-Reply-To: <83y305btde.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 07 Aug
 2019 05:29:33 +0300")
Message-ID: <87h86q8b3m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddruddujedguddvudcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtfedrledunecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtfedrledupdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepvghlihiisehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Currently the desktop doesn't restore focus to the previously selected frame.
>
> Is this new in Emacs 27?  Because I see no such problem in Emacs 26,
> where I use desktop all the time with multi-frame arrangements.

I tried to load in Emacs 26 the desktop created in Emacs 27,
but it crashed with this backtrace:

  emacs_backtrace at emacs/src/sysdep.c:2413
  terminate_due_to_signal at emacs/src/emacs.c:383
  handle_fatal_signal at emacs/src/sysdep.c:1769
  deliver_thread_signal at emacs/src/sysdep.c:1733
  stack_overflow at emacs/src/sysdep.c:1819
   (inlined by) handle_sigsegv at emacs/src/sysdep.c:1862
  ?? ??:0
  ?? ??:0
  xftfont_encode_char at emacs/src/xftfont.c:557
  get_char_glyph_code at emacs/src/xdisp.c:25797
   (inlined by) x_produce_glyphs at emacs/src/xdisp.c:28169
  produce_special_glyphs at emacs/src/xdisp.c:27805 (discriminator 9)
  init_iterator at emacs/src/xdisp.c:2945
  resize_mini_window at emacs/src/xdisp.c:11278
  display_echo_area_1 at emacs/src/xdisp.c:11175
  with_echo_area_buffer at emacs/src/xdisp.c:10955
  display_echo_area at emacs/src/xdisp.c:11142
   (inlined by) echo_area_display at emacs/src/xdisp.c:11647
  message3_nolog at emacs/src/xdisp.c:10653
  message3 at emacs/src/xdisp.c:10582
  Fmessage at emacs/src/editfns.c:4029
  Ffuncall at emacs/src/eval.c:2773
  exec_byte_code at emacs/src/bytecode.c:630
  Ffuncall at emacs/src/eval.c:2798
  Fapply at emacs/src/eval.c:2395
  apply1 at emacs/src/eval.c:2610
  call_debugger at emacs/src/eval.c:345
  signal_or_quit at emacs/src/eval.c:1617
  Fsignal at emacs/src/eval.c:1518
  xsignal1 at emacs/src/lisp.h:3854
  verror at emacs/src/eval.c:1840
  error at emacs/src/eval.c:1852
  x_set_font at emacs/src/frame.c:4262
  x_set_font_backend at emacs/src/frame.c:4396
  x_set_frame_parameters at emacs/src/frame.c:3913
  Fmodify_frame_parameters at emacs/src/frame.c:3177
  funcall_subr at emacs/src/eval.c:2850
  Ffuncall at emacs/src/eval.c:2773
  exec_byte_code at emacs/src/bytecode.c:630
  Ffuncall at emacs/src/eval.c:2798
  exec_byte_code at emacs/src/bytecode.c:630
  Ffuncall at emacs/src/eval.c:2798
  exec_byte_code at emacs/src/bytecode.c:630
  Ffuncall at emacs/src/eval.c:2798

Then replaced (font-backend xfthb x) with (font-backend xft x)
in the desktop file, after that it didn't crash, but raised
the error: (wrong-number-of-arguments #<subr set-window-fringes> 5)

Then replaced (fringes 8 8 nil nil) with (fringes 8 8 nil)
but it messed the monitors - restored frames in opposite monitors.

Then created a completely new desktop in Emacs 26,
but it didn't restore focus in the frame where it previously was.

And I don't see how Emacs 26 could restore focus,
because there is no 'last-focus-update' frame parameter in Emacs 26.
'last-focus-update' was added recently in Emacs 27.
So this is a new feature that we could use now in the desktop
to restore focus in the same frame where it was before.

> I'm wary of changing the order of restoring frames from what Emacs
> does now, because this could have adverse effects on some settings
> that are related to restoring frame dimensions.

I agree, looking at frameset--minibufferless-last-p it's difficult
to understand its logic, so I added comments to it.

Before my previous fix, despite the bug, the sorting order
was almost like intended in most cases: it still sorted
all minibuffer-owning frames before minibufferless.

Now I added more comments to explain the logic:

  (pcase-let ((`(,hasmini1 . ,id-def1) (cdr (assq 'frameset--mini (car state1))))
	      (`(,hasmini2 . ,id-def2) (cdr (assq 'frameset--mini (car state2)))))
    ;; hasmini1 is t when 1st frame has its own minibuffer
    ;; hasmini2 is t when 2nd frame has its own minibuffer
    ;; id-def1 is t when 1st minibuffer-owning frame is the default-minibuffer-frame
    ;;         or frame-id of 1st frame if it's minibufferless
    ;; id-def2 is t when 2nd minibuffer-owning frame is the default-minibuffer-frame
    ;;         or frame-id of 2nd frame if it's minibufferless
    (cond ;; Sort the minibuffer-owning default-minibuffer-frame first
	  ((eq id-def1 t) t)
	  ((eq id-def2 t) nil)
	  ;; Sort non-default minibuffer-owning frames before minibufferless
	  ((not (eq hasmini1 hasmini2)) (eq hasmini1 t)) ;; boolean xor
	  ;; Sort minibufferless frames with frame-id before some remaining
	  ((eq hasmini1 nil) (or id-def1 id-def2))
	  (t t)))

This shows that the intention was to restore minibuffer-owning frames before
minibufferless, and I agree that better not to change the sorting order,
because the last-selected frame might be the default-minibuffer-frame
(used by minibufferless frames) that should be created first.

So as a better solution we could restore the focus explicitly
after all frames are created.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 7 Aug 2019 02:29:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 22:29:52 2019
Received: from localhost ([127.0.0.1]:37991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvBi3-00073Q-QS
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 22:29:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hvBi1-00073A-UP
 for 36894 <at> debbugs.gnu.org; Tue, 06 Aug 2019 22:29:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36270)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hvBhw-0006Ix-Et; Tue, 06 Aug 2019 22:29:44 -0400
Received: from [176.228.60.248] (port=1649 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hvBhv-0006qy-Sk; Tue, 06 Aug 2019 22:29:44 -0400
Date: Wed, 07 Aug 2019 05:29:33 +0300
Message-Id: <83y305btde.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <874l2uug62.fsf@HIDDEN> (message from Juri Linkov on
 Wed, 07 Aug 2019 01:09:49 +0300)
Subject: Re: bug#36894: Stability issues in frameset sorting
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN> <874l2uug62.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 36894 <at> debbugs.gnu.org
> Date: Wed, 07 Aug 2019 01:09:49 +0300
> 
> >> Now one problem still remains: the desktop file doesn't restore the
> >> selected frame, i.e. after restoring frames from the desktop file,
> >> the selected frame is not the same as was before saving the desktop.
> >> This patch ensures that the previously selected frame is restored last,
> >> thus becoming selected again:
> >
> > Is this really necessary?  IME, the selected frame does get restored,
> > so I'm not sure why it doesn't work for you.
> 
> Currently the desktop doesn't restore focus to the previously selected frame.

Is this new in Emacs 27?  Because I see no such problem in Emacs 26,
where I use desktop all the time with multi-frame arrangements.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 6 Aug 2019 22:18:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 18:18:38 2019
Received: from localhost ([127.0.0.1]:37940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv7mv-0000D7-RG
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 18:18:38 -0400
Received: from bisque.elm.relay.mailchannels.net ([23.83.212.18]:8373)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1hv7mt-0000Cx-30
 for 36894 <at> debbugs.gnu.org; Tue, 06 Aug 2019 18:18:35 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id CD9B85E18A1;
 Tue,  6 Aug 2019 22:18:33 +0000 (UTC)
Received: from pdx1-sub0-mail-a95.g.dreamhost.com
 (100-96-88-250.trex.outbound.svc.cluster.local [100.96.88.250])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 5AD4E5E1E4D;
 Tue,  6 Aug 2019 22:18:33 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a95.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Tue, 06 Aug 2019 22:18:33 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Daffy-Bottle: 7cd718893c433cd0_1565129913640_1991158395
X-MC-Loop-Signature: 1565129913640:3706502156
X-MC-Ingress-Time: 1565129913640
Received: from pdx1-sub0-mail-a95.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a95.g.dreamhost.com (Postfix) with ESMTP id 6BA38816CD;
 Tue,  6 Aug 2019 15:18:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=WPra0zYqe7jzfd/hcl6dv7LXetI=; b=
 SUY5wHKsXiqGcGf5fpTmrr66PivfFV4RUf0mLg7C3cASqvgT/r/5jwCIYRRh/oIl
 CedYvURvr0efmEmKLNYZ/7F5jdeT7x8Eb1UY0XByJwBAEpy9Zr2bwOBvQAYiOebI
 wF3++rgl7PsDtbg0SuJCqqkY9VH+XJbK/UDOkGF5iSA=
Received: from mail.jurta.org (m91-129-103-91.cust.tele2.ee [91.129.103.91])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a95.g.dreamhost.com (Postfix) with ESMTPSA id DEC83816CF;
 Tue,  6 Aug 2019 15:18:27 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a95
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36894: Stability issues in frameset sorting
Organization: LINKOV.NET
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
 <834l2uconb.fsf@HIDDEN>
Date: Wed, 07 Aug 2019 01:09:49 +0300
In-Reply-To: <834l2uconb.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 06 Aug
 2019 18:14:00 +0300")
Message-ID: <874l2uug62.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddrudduuddgtdelucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrdeludenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdefrdeluddprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegvlhhiiiesghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Now one problem still remains: the desktop file doesn't restore the
>> selected frame, i.e. after restoring frames from the desktop file,
>> the selected frame is not the same as was before saving the desktop.
>> This patch ensures that the previously selected frame is restored last,
>> thus becoming selected again:
>
> Is this really necessary?  IME, the selected frame does get restored,
> so I'm not sure why it doesn't work for you.

Currently the desktop doesn't restore focus to the previously selected frame.

> I'm wary of changing the order of restoring frames from what Emacs
> does now, because this could have adverse effects on some settings
> that are related to restoring frame dimensions.

I doubt that fixing would have any effect because for many years
the order was completely broken, and no one complained
(I can speak only for myself why I haven't complained until now -
every time the desktop restored focus to wrong frame,
it was easier to switch to the previously selected frame
manually than to debug the problem).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 6 Aug 2019 15:14:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 11:14:20 2019
Received: from localhost ([127.0.0.1]:37657 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv1AJ-0003O1-Q3
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 11:14:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hv1AI-0003Nl-7p
 for 36894 <at> debbugs.gnu.org; Tue, 06 Aug 2019 11:14:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54087)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hv1AC-0004Or-QM; Tue, 06 Aug 2019 11:14:12 -0400
Received: from [176.228.60.248] (port=4224 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hv1AB-00021D-Hv; Tue, 06 Aug 2019 11:14:12 -0400
Date: Tue, 06 Aug 2019 18:14:00 +0300
Message-Id: <834l2uconb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <877e7rwbv7.fsf@HIDDEN> (message from Juri Linkov on
 Tue, 06 Aug 2019 00:17:32 +0300)
Subject: Re: bug#36894: Stability issues in frameset sorting
References: <878sscwovy.fsf@HIDDEN> <877e7rwbv7.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36894
Cc: 36894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Date: Tue, 06 Aug 2019 00:17:32 +0300
> 
> Now one problem still remains: the desktop file doesn't restore the
> selected frame, i.e. after restoring frames from the desktop file,
> the selected frame is not the same as was before saving the desktop.
> This patch ensures that the previously selected frame is restored last,
> thus becoming selected again:

Is this really necessary?  IME, the selected frame does get restored,
so I'm not sure why it doesn't work for you.

I'm wary of changing the order of restoring frames from what Emacs
does now, because this could have adverse effects on some settings
that are related to restoring frame dimensions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at 36894 <at> debbugs.gnu.org:


Received: (at 36894) by debbugs.gnu.org; 5 Aug 2019 21:19:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 17:19:03 2019
Received: from localhost ([127.0.0.1]:35973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hukNg-0004v3-VX
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 17:19:03 -0400
Received: from bisque.elm.relay.mailchannels.net ([23.83.212.18]:24729)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1hukNe-0004ut-M6
 for 36894 <at> debbugs.gnu.org; Mon, 05 Aug 2019 17:18:59 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 352061A2884
 for <36894 <at> debbugs.gnu.org>; Mon,  5 Aug 2019 21:18:57 +0000 (UTC)
Received: from pdx1-sub0-mail-a2.g.dreamhost.com
 (100-96-38-55.trex.outbound.svc.cluster.local [100.96.38.55])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 945731A298C
 for <36894 <at> debbugs.gnu.org>; Mon,  5 Aug 2019 21:18:56 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a2.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Mon, 05 Aug 2019 21:18:57 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Versed-Shrill: 3c5e0144484d4f11_1565039936867_3359135018
X-MC-Loop-Signature: 1565039936866:251685448
X-MC-Ingress-Time: 1565039936866
Received: from pdx1-sub0-mail-a2.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a2.g.dreamhost.com (Postfix) with ESMTP id 9093A837D8
 for <36894 <at> debbugs.gnu.org>; Mon,  5 Aug 2019 14:18:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=2FKPk5nTDb7hWcZz/FHHwVZZgfc=; b=
 LrjTew3SpC1U6w/BShr5+0lrtwuF+x4RQGPq+FdW1WJa2DxLrjP0o1sDeIcL3ckg
 wy29a5CM2GjyNHrtaxoznDWNr6khrk5TU5E6l3H7ENOq12ptjaGZcR9YWpdXIUue
 n5dCCxY0it/6tA9YtIQ24tmfYqGp9Mr7RGU+v4S+Ee0=
Received: from mail.jurta.org (m91-129-103-91.cust.tele2.ee [91.129.103.91])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a2.g.dreamhost.com (Postfix) with ESMTPSA id D0D80837D3
 for <36894 <at> debbugs.gnu.org>; Mon,  5 Aug 2019 14:18:48 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a2
From: Juri Linkov <juri@HIDDEN>
To: 36894 <at> debbugs.gnu.org
Subject: Re: bug#36894: Stability issues in frameset sorting
Organization: LINKOV.NET
References: <878sscwovy.fsf@HIDDEN>
Date: Tue, 06 Aug 2019 00:17:32 +0300
In-Reply-To: <878sscwovy.fsf@HIDDEN> (Juri Linkov's message of "Fri, 
 02 Aug 2019 00:34:57 +0300")
Message-ID: <877e7rwbv7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddruddtkedgudekucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucenucfjughrpefhvffuohhfffgjkfgfgggtsehmtderredtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtfedrledunecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtfedrledupdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepfeeikeelgeesuggvsggsuhhgshdrghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36894
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

> Currently frameset sorting is not stable.  It changes the sorting order of equal
> minibuffer-owning frames.  On closer inspection it becomes clear that
> frameset--mini parameters are messed up in 'frameset--minibufferless-last-p'.
> This patch should fix it:

Pushed to master.

Now one problem still remains: the desktop file doesn't restore the
selected frame, i.e. after restoring frames from the desktop file,
the selected frame is not the same as was before saving the desktop.
This patch ensures that the previously selected frame is restored last,
thus becoming selected again:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=frameset--minibufferless-last-p.last-focus-update.patch

diff --git a/lisp/frameset.el b/lisp/frameset.el
index a8b16706c2..8e69bfb499 100644
--- a/lisp/frameset.el
+++ b/lisp/frameset.el
@@ -1104,7 +1106,9 @@ frameset--minibufferless-last-p
 Internal use only."
   (pcase-let ((`(,hasmini1 . ,id-def1) (cdr (assq 'frameset--mini (car state1))))
 	      (`(,hasmini2 . ,id-def2) (cdr (assq 'frameset--mini (car state2)))))
-    (cond ((eq id-def1 t) t)
+    (cond ((and (eq hasmini1 t) (eq hasmini2 t) (eq (cdr (assq 'last-focus-update (car state1))) t)) nil)
+          ((and (eq hasmini1 t) (eq hasmini2 t) (eq (cdr (assq 'last-focus-update (car state2))) t)) t)
+          ((eq id-def1 t) t)
 	  ((eq id-def2 t) nil)
 	  ((not (eq hasmini1 hasmini2)) (eq hasmini1 t))
 	  ((eq hasmini1 nil) (or id-def1 id-def2))

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Aug 2019 21:46:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 01 17:46:23 2019
Received: from localhost ([127.0.0.1]:55546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htItx-0003C5-7c
	for submit <at> debbugs.gnu.org; Thu, 01 Aug 2019 17:46:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:35004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1htItu-00039L-5V
 for submit <at> debbugs.gnu.org; Thu, 01 Aug 2019 17:46:18 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58564)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <juri@HIDDEN>) id 1htIts-0002iN-SV
 for bug-gnu-emacs@HIDDEN; Thu, 01 Aug 2019 17:46:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1htItr-00055I-UY
 for bug-gnu-emacs@HIDDEN; Thu, 01 Aug 2019 17:46:16 -0400
Received: from chocolate.birch.relay.mailchannels.net ([23.83.209.35]:51034)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <juri@HIDDEN>) id 1htItp-00052L-VL
 for bug-gnu-emacs@HIDDEN; Thu, 01 Aug 2019 17:46:15 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 6981C502182
 for <bug-gnu-emacs@HIDDEN>; Thu,  1 Aug 2019 21:46:09 +0000 (UTC)
Received: from pdx1-sub0-mail-a12.g.dreamhost.com
 (100-96-4-69.trex.outbound.svc.cluster.local [100.96.4.69])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id CD65E502706
 for <bug-gnu-emacs@HIDDEN>; Thu,  1 Aug 2019 21:46:08 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a12.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Thu, 01 Aug 2019 21:46:09 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Whistle-Well-Made: 4653f9387ee2707f_1564695969112_2096735568
X-MC-Loop-Signature: 1564695969112:731911815
X-MC-Ingress-Time: 1564695969112
Received: from pdx1-sub0-mail-a12.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a12.g.dreamhost.com (Postfix) with ESMTP id 35CAD83B1D
 for <bug-gnu-emacs@HIDDEN>; Thu,  1 Aug 2019 14:46:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 linkov.net; bh=gIeOlmFvhPkMVWA36EuxwlyJy/A=; b=rSIJ8FuQhmv39FwkC
 ZYFbJP7F7vABIyRY4U5iTG6kjIbZawHuc9Bx4m27GUkYydQfGx3n+gpKKLil68j1
 +5UnmKUhXEDxvFjAeWr6euPlcnuCmCWGnlV7LcDSpTxBBR+uzp5Bave/3pIrluV/
 NiFoEJyKX6yidz6Q1yskz9vOjU=
Received: from mail.jurta.org (m91-129-103-76.cust.tele2.ee [91.129.103.76])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a12.g.dreamhost.com (Postfix) with ESMTPSA id EF01383B16
 for <bug-gnu-emacs@HIDDEN>; Thu,  1 Aug 2019 14:46:02 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a12
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Stability issues in frameset sorting
Organization: LINKOV.NET
Date: Fri, 02 Aug 2019 00:34:57 +0300
Message-ID: <878sscwovy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddrleekgddtgecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufhofffkfgggtgesmhdtreertdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrdejieenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdefrdejiedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegsuhhgqdhgnhhuqdgvmhgrtghssehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 23.83.209.35
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain

Tags: patch

Currently frameset sorting is not stable.  It changes the sorting order of equal
minibuffer-owning frames.  On closer inspection it becomes clear that
frameset--mini parameters are messed up in 'frameset--minibufferless-last-p'.
This patch should fix it:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=frameset--minibufferless-last-p.patch

diff --git a/lisp/frameset.el b/lisp/frameset.el
index 73b2071a5a..0d921421ad 100644
--- a/lisp/frameset.el
+++ b/lisp/frameset.el
@@ -1102,8 +1104,8 @@ frameset--minibufferless-last-p
   "Predicate to sort frame states in an order suitable for creating frames.
 It sorts minibuffer-owning frames before minibufferless ones.
 Internal use only."
-  (pcase-let ((`(,hasmini1 ,id-def1) (assq 'frameset--mini (car state1)))
-	      (`(,hasmini2 ,id-def2) (assq 'frameset--mini (car state2))))
+  (pcase-let ((`(,hasmini1 . ,id-def1) (cdr (assq 'frameset--mini (car state1))))
+	      (`(,hasmini2 . ,id-def2) (cdr (assq 'frameset--mini (car state2)))))
     (cond ((eq id-def1 t) t)
 	  ((eq id-def2 t) nil)
 	  ((not (eq hasmini1 hasmini2)) (eq hasmini1 t))

--=-=-=--




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36894; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 17 Aug 2019 22:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.